#
# Conditional build:
%bcond_with	tests	# perform make test
#
Summary:	Apache Portable Runtime
Summary(pl.UTF-8):	Apache Portable Runtime - przenośna biblioteka uruchomieniowa
Name:		apr
Version:	1.7.0
Release:	2
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2
# Source0-md5:	7a14a83d664e87599ea25ff4432e48a7
Patch0:		%{name}-link.patch
Patch1:		%{name}-libtool.patch
# disable some things that require recent kernel
Patch2:		%{name}-disable-features.patch
URL:		http://apr.apache.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%if "%{pld_release}" != "ac"
BuildRequires:	glibc-devel >= 6:2.9
BuildRequires:	libtool >= 2:2.2
%else
BuildRequires:	libtool
%endif
BuildRequires:	libuuid-devel
BuildRequires:	python
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%if "%{pld_release}" != "ac"
BuildRequires:	uname(release) >= 2.6
Requires:	uname(release) >= 2.6.28
%endif
# uuid.h misdetected from this one instead of libuuid-devel
BuildConflicts:	ossp-uuid-devel < 1.6.2-6
Conflicts:	kernel24
Conflicts:	kernel24-smp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr
%define		_datadir	/usr/share/apr

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or
take advantage of platform-specific deficiencies or features.

%description -l pl.UTF-8
Celem projektu APR (Apache Portable Runtime) jest stworzenie i
utrzymywanie bibliotek dostarczających przewidywalnego i spójnego
interfejsu do leżących u podstaw implementacji zależnych od platformy.
Głównym celem jest dostarczenie API, którego mogą używać programiści
mając pewność, że zachowuje się w sposób przewidywalny, jeśli nie
identyczny, niezależnie od platformy na jakiej oprogramowanie jest
budowane oraz bez potrzeby kodowania specjalnych warunków do
obchodzenia lub wykorzystywania specyficznych dla platform różnic lub
możliwości.

%package devel
Summary:	Header files and development documentation for apr
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do apr
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	automake
%if "%{pld_release}" != "ac"
Requires:	libtool >= 2:2.2
%else
Requires:	libtool
%endif
Requires:	libuuid-devel
Requires:	python-modules

%description devel
Header files and development documentation for apr.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do apr.

%package static
Summary:	Static apr library
Summary(pl.UTF-8):	Statyczna biblioteka apr
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr library.

%description static -l pl.UTF-8
Statyczna biblioteka apr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat >> config.layout <<'EOF'
<Layout PLD>
sbindir:	%{_sbindir}
libexecdir:	%{_libdir}/apr
installbuilddir: ${datadir}/build-${APR_MAJOR_VERSION}
localstatedir:	/var/run
runtimedir:	/var/run
libsuffix:	-${APR_MAJOR_VERSION}
</Layout>
EOF

%build
install /usr/share/automake/config.* build
%{__autoconf}

%configure \
	--enable-layout=PLD \
%ifarch %{ix86} %{x8664}
%ifnarch i386
	--enable-nonportable-atomics \
%endif
%endif
	--enable-pool-concurrency-check \
	--enable-threads \
	--with-devrandom=/dev/urandom
%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/build-1 $RPM_BUILD_ROOT%{_datadir}/build
install build/{*apr*.m4,*.awk,*.sh,gen-build.py} $RPM_BUILD_ROOT%{_datadir}/build
ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_datadir}/build
if [ -f /usr/share/libtool/config/ltmain.sh ]; then
	ln -snf /usr/share/libtool/config/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
else
	ln -snf /usr/share/libtool/ltmain.sh $RPM_BUILD_ROOT%{_datadir}/build
fi
ln -snf /usr/bin/libtool $RPM_BUILD_ROOT%{_datadir}/build
ln -sf build $RPM_BUILD_ROOT%{_datadir}/build-1

sed -i -e 's@^\(APR_SOURCE_DIR=\).*@\1"%{_datadir}"@' \
	$RPM_BUILD_ROOT%{_bindir}/apr-1-config
sed -i -e 's@^\(apr_builddir\|apr_builders\)=.*@\1=%{_datadir}/build-1@' \
	$RPM_BUILD_ROOT%{_datadir}/build/apr_rules.mk
sed -i -e '1s@#!.*python@#!%{__python}@' $RPM_BUILD_ROOT%{_datadir}/build/gen-build.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES docs/*.html
%attr(755,root,root) %{_libdir}/libapr-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapr-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apr-1-config
%attr(755,root,root) %{_libdir}/libapr-1.so
%{_libdir}/libapr-1.la
%{_libdir}/apr.exp
%{_includedir}
%dir %{_datadir}
%dir %{_datadir}/build
%{_datadir}/build/*.mk
%{_datadir}/build/*.m4
%{_datadir}/build/*.awk
%attr(755,root,root) %{_datadir}/build/config.*
%attr(755,root,root) %{_datadir}/build/*.sh
%attr(755,root,root) %{_datadir}/build/libtool
%attr(755,root,root) %{_datadir}/build/gen-build.py
%{_datadir}/build-1
%{_pkgconfigdir}/apr-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libapr-1.a
%changelog
* Sun Jan 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apr.git;a=log;h=master

* Sun Jan 12 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f59186
- rel 3; x patch was just testing and wasn't meant to be commited

* Sat Jan 11 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 48dac5e
- up to 1.7.0

* Thu Oct 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> df0454c
- up to 1.6.5

* Mon Oct 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 77bd5f2
- up to 1.6.3

* Wed Jun 14 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d28763d
- up to 1.6.2; enable pool-concurrency-check for tracking related problems

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e2f3ff
- updated to 1.5.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bb5bc5f
- x32 rebuild
- release 3 (by relup.sh)

* Fri Jun 06 2014 Elan Ruusamäe <glen@delfi.ee> de68380
- requires 2.6.28 for accept4

* Tue Apr 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ce8e78
- up to 1.5.1

* Fri Nov 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 17d2dc7
- updated to 1.5.0
- updated libtool patch

* Sun Jun 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b9578e8
- up to 1.4.8

* Thu Feb 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 9ee023d
- updated to 1.4.6 (includes security fix concerning oCERT-2011-003)

* Wed Oct 12 2011 lisu <lisu@pld-linux.org> 5e225ee
- rel 3

* Wed Aug 31 2011 Elan Ruusamäe <glen@pld-linux.org> 0db5a6e
- ac-compat

* Mon Jun 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d6c7573
- release 2

* Sun May 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a3c9da
- up to 1.4.5; fixes CVE-2011-1928

* Thu May 19 2011 marti <marti@pld-linux.org> 7955cdd
- added apr-1.4.4-fnmatch.patch connected with regressions found in apr-1.4.4

* Thu May 19 2011 marti <marti@pld-linux.org> 87a0444
- according to regressions found in apr-1.4.4: http://mail-archives.apache.org/mod_mbox/httpd-announce/201105.mbox/%3C4DD55092.3030403@apache.org%3E

* Sun May 15 2011 marti <marti@pld-linux.org> ac1f4c2
- this version fixes: CVE-2011-0419

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> cd9a5e0
- updated to 1.4.4

